/*
 * $Id: Penguin.java,v 1.5 2009/12/28 10:10:42 oboehm Exp $
 *
 * Copyright (c) 2008 by Oliver Boehm
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express orimplied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * (c)reated 22.01.2009 by oliver (ob@oasd.de)
 */
package patterntesting.sample.animal;

import patterntesting.annotation.check.ct.SuppressSystemOutWarning;

/**
 * @author <a href="boehm@javatux.de">oliver</a>
 * @since 22.01.2009
 * @version $Revision: 1.5 $
 */
public class Penguin extends Bird {

    /**
     * @param name
     */
    public Penguin(final String name) {
        super(name);
    }

    /**
     * @see patterntesting.sample.animal.Bird#sayHello()
     */
    @Override
    @SuppressSystemOutWarning
    public void sayHello() {
        System.out.println("Hi, I am " + this);
    }

}
